Subject: Re: bug#12963: Fwd: Small modification to sh-script, to cover unsupported case label

From: Stefan Monnier <[email-masked]>
Date: Thu, 22 Nov 2012 21:16:48 -0500

> Indention will mess up on the second label, due to the =
> This can be fixed by adding a = to the skip-chars-backwards in
> sh-font-lock-parens;

This already works correctly in Emacs-24, so I suggest you upgrade.

> Also, I'm finding indent-tabs-mode is being reset by sh-mode.  Do you
> know what could be causing this?

AFAICT sh-script.el does not touch indent-tabs-mode (neither the most
recent version, nor the version in Emacs-23).  But I'm not exactly sure
what you mean by "being reset".

        Stefan